dnssd Library: DNSSD::DomainBrowser Class Reference (dnssd Library)

| # dnssd Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DNSSD::DomainBrowser Class Reference

Class used to provide current list of domains for browsing. More...

`#include <domainbrowser.h>`

Inheritance diagram for DNSSD::DomainBrowser:

[legend]
Collaboration diagram for DNSSD::DomainBrowser:

[legend]
List of all members.

## Signals
void | domainRemoved (const QString &)
void | domainAdded (const QString &)
## Public Member Functions
| DomainBrowser (QObject *parent=0)
| DomainBrowser (const QStringList &domains, bool recursive=false, QObject *parent=0)
const QStringList & | domains () const
void | startBrowse ()
bool | isRunning () const
## Protected Member Functions
virtual void | virtual_hook (int, void *)

## Detailed Description

Class used to provide current list of domains for browsing.

Author:
  Jakub Stachowski

Definition at line 41 of file domainbrowser.h.

## Constructor & Destructor Documentation

DNSSD::DomainBrowser::DomainBrowser | ( | QObject * | parent = `0` | ) |

  | Standard constructor. It takes all parameters from global configuration. All changes in configuration are applied immediately. Parameters:
  | parent | Parent object.
Definition at line 40 of file domainbrowser.cpp. References QObject::connect().

DNSSD::DomainBrowser::DomainBrowser | ( | const QStringList & | domains,
|  | bool | recursive = `false`,
|  | QObject * | parent = `0`
| ) |

  | Constructor that creates browser for domain list. This does not use global configuration at all. Parameters:
  | domains | List of domains
  | recursive | TRUE - specified domains will be recursively browsed to discover more domains. This means that every domain (specified in constructor, or found by query) will be queried for list of more browsing domains.
  | parent | Parent object. This process is recursive.
Definition at line 52 of file domainbrowser.cpp. References domains().

## Member Function Documentation

const QStringList & DNSSD::DomainBrowser::domains | ( |  | ) | const

| Current list of domains to browse. Definition at line 134 of file domainbrowser.cpp. Referenced by DomainBrowser().

void DNSSD::DomainBrowser::startBrowse | ( |  | ) |

| Starts browsing. To stop destroy this object. Definition at line 68 of file domainbrowser.cpp. References QObject::connect(), domainAdded(), and DNSSD::Query::startQuery().

bool DNSSD::DomainBrowser::isRunning | ( |  | ) | const

| Returns true when browse has already started. Definition at line 139 of file domainbrowser.cpp.

void DNSSD::DomainBrowser::domainRemoved | ( | const QString & |  | ) | `[signal]`

| Emitted when domain has been removed from browsing list.

void DNSSD::DomainBrowser::domainAdded | ( | const QString & |  | ) | `[signal]`

| New domain has been discovered. Also emitted for domain specified in constructor and in global configuration Referenced by startBrowse().

The documentation for this class was generated from the following files:

- domainbrowser.h
- domainbrowser.cpp

This file is part of the documentation for dnssd Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:28:23 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003